Summary: utils for the isdn subsystem
Name: isdn4k-utils
%define version 9803020842
Version: %{version}
Release: 1
Copyright: GNU-GPL
Group: Networking/Utilities
Source0: ftp://ftp.fh-aachen.de/pub/linux/isdn4linux/v2.1/isdn4k-utils/isdn4k-utils-%{version}.tar.gz
Patch0: isdn4k-utils-%{version}.config.patch
Patch1: isdn4k-utils-%{version}.Makefile.patch
Patch2: isdn4k-utils-%{version}.configure.patch
Patch3: isdn4k-utils-%{version}.imontty_install_sh.patch
Patch3: isdn4k-utils-%{version}.xisdnload.patch
#Patch99: isdn4k-2.1.71-network.patch.gz
#BuildRoot: /tmp/isdn4k-utils-%{version}
Provides: isdnctrl, iprofd, icnctrl, hisaxctrl, pcbitctl, imon, imontty, isdnlog, ipppstats, xisdnload, xmonisdn, isdnmon, vbox, ipppd
#, avmcapictrl

%description
Provides several utilities to make isdn4linux more valuable.

In detail it contains the following stuff:

1. Runtime configuration tools:
  isdnctrl,   general link-level setup utility.
  iprofd,     daemon for realizing AT&W0 on ttyI's.
  icnctrl,    setup utility for the icn driver.
  telesctrl,  setup utility for the teles driver.
  hisaxctrl,  setup utility for the HiSax driver.
  pcbitctl,   setup utility for the pcbit driver.
#  avmcapictrl setup utility for the avmb1 driver.
  actctrl     setup utility for the act2000 driver.

2. Tools for monitoring activity:
  imon,       a ncurses based utility for monitoring ISDN-activities.
  imontty,    a tty based utility for monitoring ISDN-activities.
  isdnlog,    a set of utilities for connection logging.
  ipppstats   a utility for showing syncPPP statistics.
  xisdnload,  an xload-like meter.
  xmonisdn,   a utility for monitoring and controlling ISDN-activity.
  isdnmon,    a Tcl/Tk based utility for monitoring ISDN-activities.

3. Applications:
  vbox,       an answering machine/voice mailbox.
  ipppd,      daemon need for syncPPP and MPP.

4. Documentation:
  A very detailed FAQ and the generic manpages ttyI.4, isdninfo.4,
  isdn_audio.4 and isdn_cause.7.
  Manpages for the above utilities:
  actctrl.8 avmcapictrl.8, hisaxctrl.8 icnctrl.8, imon.8, ipppd.8,
  ipppstats.8, iprofd.8, isdnctrl.8, isdnlog.8, isdnrep.1, telesctrl.8,
  xisdnload.1x and xmonisdn.1x

Postgres support for isdnlog is disabled by default.


%prep
%setup -n isdn4k-utils
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
(cd FAQ; autoconf)
(cd avmb1; autoconf)
(cd act2000; autoconf)
(cd doc; autoconf)
(cd icn; autoconf)
(cd imon; autoconf)
(cd imontty; autoconf)
(cd ipppd; autoconf)
(cd ipppstats; autoconf)
(cd iprofd; autoconf)
(cd isdnctrl; autoconf)
(cd isdnlog; autoconf)
#(cd lib; autoconf)
(cd loop; autoconf)
(cd pcbit; autoconf)
(cd teles; autoconf)
(cd vbox; autoconf)

## we generate this subtree in order to make rpm put it into the doc section:
mkdir vbox/templates
mkdir vbox/templates/vbox
mkdir vbox/templates/vbox/user-template 
mkdir vbox/templates/vbox/user-template/home 
mkdir vbox/templates/vbox/user-template/home/vboxuser 
mkdir vbox/templates/vbox/user-template/var 
mkdir vbox/templates/vbox/user-template/var/spool 
mkdir vbox/templates/vbox/user-template/var/spool/vbox 
mkdir vbox/templates/vbox/user-template/var/spool/vbox/vboxuser 
mkdir vbox/templates/vbox/user-template/var/spool/vbox/vboxuser/incoming 
mkdir vbox/templates/vbox/user-template/var/spool/vbox/vboxuser/messages 
ln -s ../../doc                                             vbox/templates/vbox/doc
ln -s ../../../../../examples/vboxrc.example                vbox/templates/vbox/user-template/home/vboxuser/.vboxrc
ln -s ../../../../../../../examples/vbox.conf.example       vbox/templates/vbox/user-template/var/spool/vbox/vboxuser/vbox.conf
ln -s ../../../../../../../examples/standard.tcl.example    vbox/templates/vbox/user-template/var/spool/vbox/vboxuser/standard.tcl
ln -s ../../../../../../../../examples/standard.msg.example vbox/templates/vbox/user-template/var/spool/vbox/vboxuser/messages/standard.msg
ln -s ../../../../../../../../examples/beep.msg.example     vbox/templates/vbox/user-template/var/spool/vbox/vboxuser/messages/beep.msg
ln -s ../../../../../../../../examples/timeout.msg.example  vbox/templates/vbox/user-template/var/spool/vbox/vboxuser/messages/timeout.msg

%build
echo "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" > /dev/null
echo "                                                                           " > /dev/null
echo "In the following config section, you have the chance to change some aspects" > /dev/null
echo "of this configuration.  Don't forget to answer YES to the final question   " > /dev/null
echo "                                                                           " > /dev/null
echo "Be prepared, that, if you change paths, this may cause incompatibilities   " > /dev/null
echo "with the rpm path list in this spec file.                                  " > /dev/null
echo "                                                                           " > /dev/null
echo "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" > /dev/null
sleep 5
# An additional tip may be in order here:
#   a good basis for which files the original package installs [and thus have
#   to be transfered into the spec file's file section] are the files you find
#   in the BuildRoot tree, when installing with BuildRoot.  But be sure, that 
#   you ``rm -rf'' the BuildRoot tree before building, in order not to include 
#   old stray files.  The final build has [still] to be done without BuildRoot,
#   because of the inconsistencies mentioned in the changelog section below.

export RPM_BUILD_ROOT
make -e config
make 


%install
#rm -rf $RPM_BUILD_ROOT
export XAPPLOADDIR=$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make install


%files
%doc README HOWTO COPYING vbox/templates/vbox 
%dir /usr/doc/FAQ/isdn4linux
/usr/doc/FAQ/isdn4linux/de-i4l-faq.asc
/usr/doc/FAQ/isdn4linux/de-i4l-faq.html
/usr/doc/FAQ/isdn4linux/eng-i4l-faq.asc
/usr/doc/FAQ/isdn4linux/eng-i4l-faq.html
/usr/man/man1/xmonisdn.1x
/usr/man/man1/xisdnload.1x
/usr/man/man4/ttyI.4
/usr/man/man4/isdninfo.4
/usr/man/man4/isdn_audio.4
/usr/man/man7/isdn_cause.7
/usr/man/man8/isdnctrl.8
/usr/man/man8/.isdnctrl_conf.8
/usr/man/man8/iprofd.8
/usr/man/man8/icnctrl.8
/usr/man/man8/hisaxctrl.8
#/usr/man/man8/avmcapictrl.8	# makes problems with release 9802090542, so I left it out
/usr/man/man8/imon.8
/usr/man/man8/ipppstats.8
/usr/man/man8/ipppd.8
/usr/sbin/isdnctrl
/usr/sbin/iprofd
/usr/sbin/icnctrl
/usr/sbin/pcbitctl
/usr/sbin/hisaxctrl
#/usr/sbin/avmcapictrl		# makes problems with release 9802090542, so I left it out
/usr/sbin/imon
/usr/sbin/imontty
/usr/sbin/isdnlog
/usr/sbin/ipppstats
/usr/sbin/ipppd
/usr/sbin/vboxd
/usr/sbin/vboxgetty
/usr/bin/isdnrep
/usr/bin/isdnconf
/usr/bin/vboxcnvt
/usr/bin/vboxtoau
/usr/bin/autovbox
/usr/bin/vboxmode
/usr/bin/vboxctrl
/usr/bin/vboxbeep
/usr/bin/vbox
/usr/bin/vboxmail
/usr/bin/vboxplay
/usr/bin/xmonisdn
/usr/bin/xisdnload
/usr/X11R6/lib/X11/app-defaults/XISDNLoad
%dir /etc/isdn
%config /etc/isdn/isdn.conf
#%config /etc/isdn/callerid.conf
#/etc/isdn/avon
%config /etc/vboxgetty.conf
%config /etc/vboxd.conf
%dir /var/log/vbox
%dir /var/spool/vbox
%dir /usr/lib/isdn
/usr/lib/isdn/loadpg.bin
/usr/lib/isdn/pc_eu_ca.bin
/usr/lib/isdn/pc_1t_ca.bin
/usr/lib/isdn/areacodes


%post
ln -sf /usr/doc/FAQ/isdn4linux /usr/doc/isdn4k-utils-%{version}/FAQ
echo "If you needed more than ten minutes to install this package,"
echo "then please send an email to mp@rhein-neckar.netsurf.de."

%preun
rm -f /usr/doc/isdn4k-utils-%{version}/FAQ


%changelog
* Thu Feb 13 1998 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
  - upgrade to version %{version}
  - upgrade to xisdnload version 0.1
  - disabled avmcapicntrl in config due to problems in this release
  - most of the first steps for BuildRoot.  
    BuildRoot builds cleanly now, but not yet consistently.  
    The problem is, that path definitions are used to determine both: 
      the [temporary BuildRoot-] install path  as well as 
      compiled in final locations.  
    Imake solves this better by separate definitions for DESTDIR as [temporary] 
    install path and TOP for the general [final] directory root.
    This is a duty obliging to the maintainers of the original package.
  - Configure stuff largely cleaned up.  The policy has been, that command line 
    options of ./configure have priority over the definitions in .config and that 
    special definitions override general definitions.
    ToDo:  not all configurable build parameters are implemented as ./configure 
           parameters.  But this is a more aesthetic deficiency of the original 
           package, that is not so relevant here.
  - adapted files section in spec file
  - minimized patch files [for the price that autoconf is required to build
    the binary package]
  - took out Joerg's 2.1.71 patch (* not that it's bad; I just don't know, 
    what it does. And since it does not patch cleanly anymore, I'm not
    sure, if it is still relevant. *)
    Anybody knowing, what he does, may reinclude it himself, if he wants.
    
* Sun Dec 7 1997 J"org Lehrke <jlehrke@ecrc.de>
- Added dynamic bundling patch (see attached 2.1.71 kernel patch)
- Fixed some minor problems

* Thu Oct 2 1997 Markus Pilzecker <mp@rhein-neckar.netsurf.de>
- isdn4k-utils-2.1b1 converted to rpm

